#!/bin/sh
# setup JAVA_HOME and TANGOSOL_HOME

_CYGWIN=false
case "`uname`" in
  CYGWIN*) _CYGWIN=true ;;
esac

if $_CYGWIN; then
  CP_SEP=";"
else
  CP_SEP=":"
fi

# this specifies your Tangosol Coherence installation directory
TANGOSOL_HOME=.

# this specifies your Java installation directory
#JAVA_HOME=

JAVA=${JAVA_HOME}/bin/java

CP=${TANGOSOL_HOME}/lib/coherence.jar
CP=${CP}${CP_SEP}../lib/AccessTest.jar
CP=${CP}${CP_SEP}../config

OPT_CLIENT="-Xms512m -Xmx512m -Dtangosol.coherence.cacheconfig=client-cache-config.xml"
OPT_SERVER="-Xms512m -Xmx512m -Dtangosol.coherence.cacheconfig=server-cache-config.xml"

OPT="${OPT} -server"
OPT="${OPT} -showversion"
# this property to your machine's IP address, for multi-nic machines
# OPT="${OPT} -Dtangosol.coherence.localhost=192.168.0.1"
OPT="${OPT} -cp ${CP}"
